Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw
Class Link_Standard

    java.lang.Object
      rdlc.hw.Link_Standard

All Implemented Interfaces:
  Link

Direct Known Subclasses:
  RegisterLink, SerialLink

    public abstract class Link_Standard

extends java.lang.Object
implements Link

Standard link generator class from which most links can inherit.

Version:
  $Revision: 1.12 $
Author:
  Greg Gibeling

Field Summary
`protected boolean` | `accurateSim` Cycle accurate simulation?
`protected Log` | `errorLog` Log of errors to be reported to the user.
`protected Module` | `module` The link endpoint module.

Constructor Summary
`Link_Standard(java.lang.Boolean _accurateSim, Log _errorLog)` Simple constructor, merely stores it's arguments.

Method Summary
`boolean` | `generate(UnitInstance unitInstance, java.lang.String fieldName, Namespace _namespace, ChannelModel channelModel, Library library)` Set up this link object, giving it the local unit, port/channel and output namespace.
`abstract ModuleInstance_Indirect` | `generateInstance(UnitPort unitPort, Namespace _namespace, Library library)` Generate an instance of the generic link endpoint module which will transport the marshalled messages, or receive and generate the unmarshalled messages.
`Module` | `getModule()` Get the local link module, which will then be instantiated in the wrapper.
`abstract void` | `notifyPort(UnitPort unitPort)` Provide early notification of the unit port this link endpoint will be for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rdlc.hw.Link
`getWires, getWiresName`

Field Detail

### module

    protected Module module

  The link endpoint module.

### accurateSim

    protected boolean accurateSim

  Cycle accurate simulation?

### errorLog

    protected Log errorLog

  Log of errors to be reported to the user.

Constructor Detail

### Link_Standard

    public Link_Standard(java.lang.Boolean _accurateSim,
                         Log _errorLog)

  Simple constructor, merely stores it's arguments.

  Parameters:
    `_accurateSim` - Is this a cycle accurate simulation?
    `_errorLog` - Log of errors to be reported to the user.

Method Detail

### generate

    public boolean generate(UnitInstance unitInstance,
                            java.lang.String fieldName,
                            Namespace _namespace,
                            ChannelModel channelModel,
                            Library library)

  Description copied from interface: `Link`
  Set up this link object, giving it the local unit, port/channel and output namespace. This method is responsible for all of the dirty work of link generation.

  Specified by:
    `generate` in interface `Link`
  Parameters:
    `unitInstance` - The unit instance we're generating a link for.
    `fieldName` - The name of the unit field this link will be for (could be a channel or a port).
    `_namespace` - The namespace to construct the resulting module in.
    `channelModel` - The channel model that applies to the given field.
    `library` - Hardware library from which to draw library components.
  See Also:
    `Link.generate(UnitInstance, String, Namespace, ChannelModel, Library)`

### getModule

    public Module getModule()

  Description copied from interface: `Link`
  Get the local link module, which will then be instantiated in the wrapper. This will take the link controls, the message and the link specific wires and tie them all together.

  Specified by:
    `getModule` in interface `Link`
  Returns:
    The local link module.
  See Also:
    `Link.getModule()`

### generateInstance

    public abstract ModuleInstance_Indirect generateInstance(UnitPort unitPort,
                                                             Namespace _namespace,
                                                             Library library)

  Generate an instance of the generic link endpoint module which will transport the marshalled messages, or receive and generate the unmarshalled messages.

  Parameters:
    `unitPort` - The unit port this link endpoint is for.
    `_namespace` - The namespace to create all modules in.
    `library` - The hardware library from which to get standard components.
  Returns:
    An instance of the standard link endpoint module which can be used by the generic encapsulation.
  See Also:
    `generate(UnitInstance, String, Namespace, ChannelModel, Library)`

### notifyPort

    public abstract void notifyPort(UnitPort unitPort)

  Provide early notification of the unit port this link endpoint will be for.

  Parameters:
    `unitPort` - The unit port this link endpoint is for.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD